Check a task before creating a demo (free)
curl --request POST \
--url https://platform.demosmith.ai/v1/demos/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://cal.com",
"task": "Show how to book a 30-minute meeting from a public booking page"
}
'import requests
url = "https://platform.demosmith.ai/v1/demos/check"
payload = {
"url": "https://cal.com",
"task": "Show how to book a 30-minute meeting from a public booking page"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://cal.com',
task: 'Show how to book a 30-minute meeting from a public booking page'
})
};
fetch('https://platform.demosmith.ai/v1/demos/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "ready",
"check_id": "Jq3x9VfT2bLm8RkQ0aZy1w",
"questions": [],
"warnings": [],
"estimate": {
"recording_seconds": 120
},
"message": null
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}Demos
Check a task before creating a demo (free)
POST
/
demos
/
check
Check a task before creating a demo (free)
curl --request POST \
--url https://platform.demosmith.ai/v1/demos/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://cal.com",
"task": "Show how to book a 30-minute meeting from a public booking page"
}
'import requests
url = "https://platform.demosmith.ai/v1/demos/check"
payload = {
"url": "https://cal.com",
"task": "Show how to book a 30-minute meeting from a public booking page"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://cal.com',
task: 'Show how to book a 30-minute meeting from a public booking page'
})
};
fetch('https://platform.demosmith.ai/v1/demos/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "ready",
"check_id": "Jq3x9VfT2bLm8RkQ0aZy1w",
"questions": [],
"warnings": [],
"estimate": {
"recording_seconds": 120
},
"message": null
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}Authorizations
An API key from the Developers page.
Body
application/json
Response
OK

